Bug 533777

Summary: qstat changes name of its binary and breaks plugin
Product: [Fedora] Fedora Reporter: Andy Shevchenko <andy.shevchenko>
Component: nagios-pluginsAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: urgent    
Version: 12CC: jose.p.oliveira.oss, lemenkov, linux, matt_domsch, mmcgrath, sebastian.gosenheimer
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nagios-plugins-1.4.14-2.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-20 13:03:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 472750    
Bug Blocks: 538916    
Attachments:
Description Flags
patch of spec file none

Description Andy Shevchenko 2009-11-09 06:23:04 UTC
Created attachment 368115 [details]
patch of spec file

Description of problem:
Due to some unavoidable requirement (see bug dependency tree) the qstat binary will be named as quakestat.

Version-Release number of selected component (if applicable):
All in fedora and epel.

Comment 1 Bug Zapper 2009-11-16 15:20:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jose Pedro Oliveira 2010-03-11 01:31:15 UTC
Peter,

For consistency I would also change the game subpackage requirement from
qstat to %{_usrbin}/quakestat:

----------
@@ -381,7 +381,7 @@
 Summary: Nagios Plugin - check_game
 Group: Applications/System
 Requires: nagios-plugins = %{version}-%{release}
-Requires: qstat
+Requires: %{_bindir}/quakestat
 
 %description game
 Provides check_game support for Nagios.
----------


/jpo

Comment 3 Fedora Update System 2010-04-12 12:49:37 UTC
nagios-plugins-1.4.14-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.el5

Comment 4 Fedora Update System 2010-04-12 12:49:55 UTC
nagios-plugins-1.4.14-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc11

Comment 5 Fedora Update System 2010-04-12 12:50:13 UTC
nagios-plugins-1.4.14-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc12

Comment 6 Fedora Update System 2010-04-12 12:50:33 UTC
nagios-plugins-1.4.14-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.el4

Comment 7 Fedora Update System 2010-04-12 12:50:50 UTC
nagios-plugins-1.4.14-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc13

Comment 8 Fedora Update System 2010-04-14 01:34:23 UTC
nagios-plugins-1.4.14-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc11

Comment 9 Fedora Update System 2010-04-14 01:36:31 UTC
nagios-plugins-1.4.14-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc12

Comment 10 Fedora Update System 2010-04-14 01:38:39 UTC
nagios-plugins-1.4.14-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.fc13

Comment 11 Fedora Update System 2010-04-15 15:48:40 UTC
nagios-plugins-1.4.14-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.el5

Comment 12 Fedora Update System 2010-04-15 15:51:01 UTC
nagios-plugins-1.4.14-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nagios-plugins-1.4.14-2.el4

Comment 13 Fedora Update System 2010-04-20 13:03:04 UTC
nagios-plugins-1.4.14-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-20 13:12:43 UTC
nagios-plugins-1.4.14-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-04-20 13:32:17 UTC
nagios-plugins-1.4.14-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.